Skip to main content
GET
/
api
/
v1
/
connector-error-codes
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/connector-error-codes \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "connectorCode": "<string>",
      "providerErrorCode": "<string>",
      "category": "<string>",
      "turkishMessage": "<string>",
      "englishMessage": "<string>",
      "internalDescription": "<string>",
      "shouldRetry": true,
      "httpStatusSuggestion": 123,
      "mappedToId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mappedToCode": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

connectorCode
string
category
enum<integer>
Available options:
Technical,
BankDeclined,
Validation,
Fraud,
Configuration,
Timeout,
Unknown

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object[] | null